Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

Reply
New Contributor
Latimer19
Posts: 3
Registered: ‎11-05-2008
My Device: Not Specified

Vulnerability

Hi,

 

I have recently begun receiving the following vulnerability on my server that runs Blackberry Professional Software.

 

http://www.blackberry.com/btsc/articles/660/KB15766_f.SAL_Public.html

 

So a couple weeks ago I went to patch up my server by downloading and applying the service pack 4B for Blackberry Professional Software.  The upgrade seemed to go just fine.  I had a new set of vuln scans run last night and my scanner is still picking up that vulnerability.  Blackberry says that SP should resolve that.  Anyone seen this before?  According to my Blackberry Manager I am now running version 4.1.4.3 of the software which I believe shouldnt be vulnerable.


Any thoughts?

Please use plain text.
Forums Veteran II
AndyDufresne
Posts: 2,744
Registered: ‎04-01-2008
My Device: Bold

Re: Vulnerability

Did you apply:

 

Service Pack 4 Interim Security Update

  • File name: bes_as_fix_189456_4.1.4.zip
  • File size: 2.0 MB
  • Date posted: 17-July-2008

 

available from BPS Download

------------------------------
If you've found a solution through a post; please mark it as a solution.
If someone's was particularly helpful, give them kudo's!.


Get busy living, or get busy dying.

http://blog.port3101.org/hdawg/
Please use plain text.
New Contributor
Latimer19
Posts: 3
Registered: ‎11-05-2008
My Device: Not Specified

Re: Vulnerability

very strange... I had applied that months ago prior to applying the service pack.  But I just went in and double checked and I couldnt find the BBDM_PDF.dll, BBRendereingdecorator.dll, or BBXrenderingdecorator.dll, in their appropriate folders.  So I just just applied it again and reregistered the DLLs..... very strange.
Please use plain text.
New Contributor
Latimer19
Posts: 3
Registered: ‎11-05-2008
My Device: Not Specified

Re: Vulnerability

Ok I have now applied this patch 3 times and my scanner is still seeing this vulnerability.  Im running Blackberry Professional Software Version 4.1.4.3.  Has anyone else had a tough time with this patch?
Please use plain text.